System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Attribute System.AttributeUsage(System.AttributeTargets.All)

For more information about using attributes, see Extending Metadata Using Attributes.

The Web page designer in Visual Studio does not support the ResetPropertyName method that is optionally exposed by Windows Forms controls for property persistence. Server controls are serialized using methods provided by the class. The implementation of these methods is driven by metadata attributes such as , , and .

Defines the metadata attribute that specifies how an ASP.NET server control property or event is persisted to an ASP.NET page at design time. This class cannot be inherited.

- Constructor
  To be added

  Initializes a new instance of the class.

  The value to assign to .
  1.0.5000.0
  2.0.0.0
- Field
  System.Web.UI.PersistenceModeAttribute To be added

  Specifies that the property or event persists in the opening tag of the server control as an attribute. This field is read-only.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.UI.PersistenceModeAttribute To be added

  Specifies the default type for the class. The default is PersistenceMode.Attribute. This field is read-only.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.UI.PersistenceModeAttribute To be added

  Specifies that a property is HTML-encoded and persists as the only inner content of the ASP.NET server control. This field is read-only.

  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean ``

  The method first compares the current object with the given object and returns true if they are equal. Otherwise, if the given object is also a object and is not null, the properties of each object are compared for equality and the result returned.

  Compares the object against another object.

  true if the objects are considered equal; otherwise, false.

  The object to compare to. 1.0.5000.0 2.0.0.0
- Method
  System.Int32 To be added

  Provides a hash value for a attribute.

  The hash value to be assigned to the .

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.UI.PersistenceModeAttribute To be added

  Specifies that a property persists as the only inner content of the ASP.NET server control. This field is read-only.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.UI.PersistenceModeAttribute To be added

  Specifies that the property persists as a nested tag within the opening and closing tags of the server control. This field is read-only.

  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean

  This method performs calls the method while passing in the object referenced by the property.

  Indicates whether the object is of the default type.

  true if the is of the default type; otherwise, false.

  1.0.5000.0
  2.0.0.0
- Property
  System.Web.UI.PersistenceMode To be added: an object of type 'PersistenceMode' To be added

  Gets the current value of the enumeration.

  1.0.5000.0
  2.0.0.0